#!/bin/bash
# getekg.sh - skrypt ściągający zawsze najnowszą wersję EKG.
# Autor: Arim.
# Ostatnie modyfikacja: 28/05/2002 14:28

if [ "$1" == "" ]; then 
	echo "Podaj zmienne (\"--prefix=/usr\" itp.) dla configure'a!"; 
	exit 1; 
fi
DIR="${TMPDIR:-${TMP:-/tmp}}/getekg-$$"
if ! mkdir "$DIR"; then
	echo "Nie udalo sie utworzyc katalogu tymczasowego \"$DIR\"." >&2
	exit 1
fi
echo "Wchodzę do katalogu tymczasowego \"$DIR\"."
cd "$DIR"
echo -n "Ściągam najnowszą wersję."
 if [ ! -x "`which wget`" ]; then \
    if [ ! -x "`which curl`" ]; then \
        if [ ! -x "`which lynx`" ]; then \
            echo "Brak możliwości ściągnięcia pliku (chyba, że pod Xami)";
            exit 1;
        else 
	    lynx -dump http://ekg.chmurka.net/ekg-current.tar.gz | tar zxvf -
	fi # lynx
    else
	curl -s http://ekg.chmurka.net/ekg-current.tar.gz | tar xzf -
    fi #curl
 else
    wget -q -O - http://ekg.chmurka.net/ekg-current.tar.gz | tar xzf -
 fi #wget
echo -n " Rozpakowane.";
cd `ls -1 | grep ekg-`
echo -n " Konfiguruję..."
./configure $* > /dev/null
echo " Instaluję..."
make install > /dev/null
cd ..
rm -r `ls -1 | grep ekg-`
echo "Zrobione."
